<template>


                  <div class="tab-pane fade show active" id="nav-all" role="tabpanel" aria-labelledby="nav-all-tab">
                    <div class="d-flex align-items-center cg-notify-tab-item"  v-if="!isEmpty" v-for="notification in notifications_">
                      <div><img :src="notification.user.user_profile.image_path" class="img-fluid cg-message-nav-icon" :alt="notification.user.name"></div>
                      <div class="mr-auto"><h4 class="font1 cg-notify-name"><span class="w600"> <a :href="notification.user.profile_url" v-if="notification.user.is_author"> {{ notification.user.name }} </a> <span  v-if="notification.user.is_user"> {{ notification.user.name }} </span> </span> {{ notification.message }} <span class="w600 theme"><a v-if="notification.type !='follow'" :href="notification.product.product_url"> {{ notification.product.name }}</a></span></h4></div>
                      <div><h4 class="font1 f12 w600">{{ notification.date_added }}</h4></div>
                    </div>

                      <div class="cg-empty-wrap" v-if="isEmpty">
                          <div class="cg-empty-content-wrap text-center add-btm-mdm">
                              <img src="/images/no-items.svg" alt="creativegoods" class="img-ﬂuid width-30">
                              <h4 class="font1 grey f18 w500 pad-top-mdm pad-btm-xsml">You don't have any notifications yet.</h4>

                          </div>
                      </div>

                    <!-- Load More button -->
                    <div class="notification-load-btn text-center add-top-mdm">
                        <NotificationPagination v-if="pagination.last_page > 1" :pagination="pagination" :offset="5" @paginate="fetchMyNotifications()" ></NotificationPagination>

                    </div>
                  </div>
</template>
<script>
    import NotificationPagination from '../components/NotificationPagination'
    import Preloader from '../components/Preloader.vue'
    export default {

        data(){
            return{
                notifications_:[],
                isEmpty:false,
                pagination: {
                    'current_page': 1
                },
            }

        },
        components:{
            NotificationPagination,
        },
        methods: {
            fetchMyNotifications() {

                axios.get('/get_my_notifications?page=' + this.pagination.current_page+'&status=all')
                    .then(response => {
                        let notifications_array = response.data.data.data;
                        for( let i = 0; i < notifications_array.length; i++ ){
                            this.notifications_.push(notifications_array[i])
                        }
                        this.pagination = response.data.pagination;
                        if(this.notifications_.length ){
                            this.isEmpty=false;
                        }else{
                            this.isEmpty=true;
                        }
                    })
                    .catch(error => {
                        console.log(error.response.data);
                    });
            },
            preLoad: function() {
                // just open
                const close = this.$preloaders.open({
                    container: ".tab-pane",
                    component:Preloader,
                    "overlayStyle": {
                        "backgroundColor": "#fff",
                        "opacity": .9,
                    }
                });

                // and close. That's it.
                setTimeout(close, 1500);
            }
        },

        mounted(){
            this.fetchMyNotifications();
            this.preLoad();
        },
        beforeCreate() {
            this.isEmpty=false;
        }
    }

</script>

